/*
 * Mintaprogramok/4. fejezet
 * SajatKivetel.java
 *
 * Angster Erzsbet: OO tervezs s programozs, Java II. ktet
 * 2002.09.01.
 */

import extra.*;
import java.util.*;

// Sajt kivtelosztly:
class OutOfRangeException extends RuntimeException {
  OutOfRangeException(String s) { super(s); }
}

public class SajatKivetel {

  static int readSzam(int tol, int ig) {
    if (tol > ig) {
      int seged=tol; tol=ig; ig=seged;
    }

    int szam;
    String szoveg;
    while (true) {
      try {
        // NumberFormatException keletkezhet:
        szoveg=Console.readLine("Szam: ");
       
        if(szoveg.compareTo("V")==0||szoveg.compareTo("I")==0||szoveg.compareTo("II")==0||
        szoveg.compareTo("III")==0||szoveg.compareTo("IV")==0)
          throw new OutOfRangeException("Ez romai szam!");
         szam = Integer.parseInt(szoveg);
        if (szam < tol || szam > ig)
          throw new OutOfRangeException(tol+"-tol "+ig+"-ig!");
        if (szam==50)
          throw new OutOfRangeException("Ez az 50 bazze!");
        return szam;
      } // try
      catch (NumberFormatException ex) {
        System.out.println("Illegalis karakter!");
      }
      catch (OutOfRangeException ex) {
        System.out.println(ex.getMessage());
      }
    } // while
  }

  public static void main (String args[]) {
    int lottoSzam = readSzam(1,90);
    System.out.println("OK");
  }
}


