/*
 * Mintaprogramok/5. fejezet
 * ComponentTest.java
 *
 * Angster Erzsbet: OO tervezs s programozs, Java II. ktet
 * 2002.09.01.
 */

import java.awt.*;
import javax.swing.*;

public class ComponentTest extends JFrame {
  Container cp = getContentPane();
  JTextField tf1, tf2;
  JButton bt;

  public ComponentTest() {
    setDefaultCloseOperation(EXIT_ON_CLOSE);
    setSize(200,100);
    cp.setLayout(new GridLayout(3,1));  // Rcsos elrendezs

    // 1. szvegmez ltrehozsa, egrkurzornak belltsa:
    cp.add(tf1 = new JTextField("Ha flm kerlsz, kzz vlsz."));
    tf1.setCursor(new Cursor(Cursor.HAND_CURSOR));

    // 2. szvegmez ltrehozsa:
    cp.add(tf2 = new JTextField("Kezdetben itt a fkusz"));

    // A nyomgomb ltrehozsa s rzketlenn vltoztatsa:
    cp.add(bt = new JButton("Hiba nyomsz!"));
    bt.setEnabled(false);
    show();

    // Fkuszls. Csak a show() utn van hatsa:
    tf2.requestFocus();
  }

  public static void main (String args[]) {
    JFrame fr = new ComponentTest();
    // Kilistzzuk a cp tartalmt:
    fr.getContentPane().list();
  }
}
