/*
 * Mintaprogramok/5. fejezet
 * SzinFont.java
 *
 * Angster Erzsbet: OO tervezs s programozs, Java II. ktet
 * 2002.09.01.
 */

import java.awt.*;
import javax.swing.*;

public class SzinFont extends JFrame {
  Container cp = getContentPane();

  public SzinFont() {
    setDefaultCloseOperation(EXIT_ON_CLOSE);
    // A keret bal fels sarka (100,50):
    setLocation(100,50);
    // A cp tartalompanel elrendezse sorfolytonos, szne kzpszrke:
    cp.setLayout(new FlowLayout());
    cp.setBackground(new Color(180,180,180));         //1

    // Cmke hozzadsa a tartalompanelhez:
    JLabel lb;
    cp.add(lb = new JLabel("Szveg:"));
    lb.setFont(new Font("Dialog",Font.ITALIC,50));    //2
    lb.setBackground(SystemColor.info);               //3
    lb.setForeground(SystemColor.infoText);
    lb.setOpaque(true);

    // Szvegterlet hozzadsa a tartalompanelhez:
    JTextArea ta;
    cp.add(ta = new JTextArea(5,20));
    ta.setFont(new Font("Monospaced",Font.PLAIN,40));

    // Az ablak elrendezse s lthatv ttele:
    pack();
    show();
  }

  public static void main (String args[]) {
    Color c = SystemColor.desktop;
    System.out.println("Piros: "+c.getRed()+" Zld: "+c.getGreen()+" Kk: "+c.getBlue());
    new SzinFont();
  }
}
