/*
 * Mintaprogramok/11. fejezet
 * Projekt: Komponens
 * FocusedTextField.java
 *
 * Angster Erzsbet: OO tervezs s programozs, Java II. ktet
 * 2002.09.01.
 *
 * Ha fkuszban van, fehr.
 */

package extra.controls;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class FocusedTextField extends JTextField {
  Color szin=Color.LIGHT_GRAY;

  public FocusedTextField(int columns) {
    super(columns);
    enableEvents(AWTEvent.FOCUS_EVENT_MASK);
    setBackground(szin);
  }

  public void processFocusEvent(FocusEvent e) {
    if (e.getID()==FocusEvent.FOCUS_GAINED)
      setBackground(Color.WHITE);
    else
      setBackground(szin);
    super.processFocusEvent(e);
  }
} // FocusedTextField
