/*
 * Mintaprogramok/11. fejezet
 * Projekt: Komponens
 * HighLightLabel.java
 *
 * Angster Erzsbet: OO tervezs s programozs, Java II. ktet
 * 2002.09.01.
 *
 * Ha felette van az egr, akkor fnyes.
 */

package extra.controls;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class HighlightLabel extends JLabel {
  private Color baseColor, highLightColor;

  public HighlightLabel(String text, Color baseColor,
                        Color highLightColor) {
    super(text);
    this.baseColor = baseColor;
    this.highLightColor = highLightColor;
    enableEvents(AWTEvent.MOUSE_EVENT_MASK);
  }

  public void processMouseEvent(MouseEvent e) {
    if (e.getID() == e.MOUSE_ENTERED)
      setForeground(highLightColor);
    else if (e.getID() == e.MOUSE_EXITED)
      setForeground(baseColor);
    super.processMouseEvent(e);
  }
} // HighlightLabel
