/*
 * Mintaprogramok/13. fejezet
 * FileAttributes.java
 *
 * Angster Erzsbet: OO tervezs s programozs, Java II. ktet
 * 2002.09.01.
 */

import java.io.*;                                          //1
import java.text.DateFormat;                               //2
import java.util.Date;

public class FileAttributes {
  public static void main (String args[]) {
    if (args.length == 0) {
      System.out.println(
        "Hasznlat: [Szltvonal] Gyermektvonal");
      return;
    }
    File f;
    if (args.length == 1)
      f = new File(args[0]);
    else
      f = new File(args[0],args[1]);

    if (f.exists()) {
      System.out.println("Ltezik, adatai:");
      System.out.println(f.isDirectory()?"Knyvtr":"llomny");
      System.out.println("tvonal: "+f.getPath());
      System.out.println("Abszolt tvonal: "+
          f.getAbsolutePath());
      System.out.println("Bennfoglal knyvtr: "+
          f.getParent());
      System.out.println("Bejegyzs neve: "+f.getName());
      System.out.println("Hossza (byte): "+f.length());
      DateFormat df = DateFormat.getDateTimeInstance();
      String datum = df.format(new Date(f.lastModified()));
      System.out.println("Utols mdosts dtuma: "+datum);
    }
    else
      System.out.println("Nincs ilyen bejegyzs.");
  } // main
} // FileAttributes
