/*
 * Mintaprogramok/17. fejezet
 * Projekt: TermelFogyaszt
 * Fogyaszto.java
 *
 * Angster Erzsbet: OO tervezs s programozs, Java II. ktet
 * 2005.01.10.
 */

class Fogyaszto extends Thread {
  private Raktar raktar;

  public Fogyaszto(Raktar raktar) {
    this.raktar = raktar;
  }

  public void run() {
    try {
      while (true) {
        sleep(1000); // "alvs kzben" fogyaszt
        int mennyiseg = (int) (Math.random() * 20) + 1;
        System.out.println("Kivennk: " + mennyiseg);
        raktar.kivesz(mennyiseg); // kivesz a raktrbl
      }
    }
    catch (InterruptedException e) {
    }
  }
}