/*
 * Mintaprogramok/17. fejezet
 * Projekt: TermelFogyaszt
 * Raktar.java
 *
 * Angster Erzsbet: OO tervezs s programozs, Java II. ktet
 * 2005.01.10.
 */

public class Raktar {
  private int kapacitas;
  private int keszlet;

  public Raktar(int kapacitas) {
    this.kapacitas = kapacitas;
    keszlet = 0;
  }

  public synchronized void kivesz(int mennyiseg) {
    // Ha van elegend ru, kiszolgljuk:
    if (mennyiseg <= keszlet) {
      keszlet -= mennyiseg;
      System.out.println("Kivettek, kszlet: " + keszlet);
    }
    else {
      System.out.println("Sajnos nem tudunk adni!");
      // Vr, amg lesz ennyi. Addig nem szolgl ki mst:
      try {
        while (keszlet < mennyiseg)
          wait();
      }
      catch (InterruptedException ie) {
      }
    }
    // rtesti a szlakat, htha vr r valaki:
    notifyAll();
  }

  public synchronized void betesz(int mennyiseg) {
    // Ha van elegend hely, betesszk:
    if (keszlet + mennyiseg <= kapacitas) {
      keszlet += mennyiseg;
      System.out.println("Betettek, kszlet: " + keszlet);
    }
    else {
      System.out.println("Nem fr be, vrni kell!");
      // Vr, amg lesz annyi hely:
      try {
        while (keszlet + mennyiseg <= kapacitas)
          wait();
      }
      catch (InterruptedException ie) {
      }
    }
    notifyAll();
  }
}
