/*
 * Mintaprogramok/19. fejezet
 * LocaleTest.java
 *
 * Angster Erzsbet: OO tervezs s programozs, Java II. ktet
 * 2002.09.01.
 */

import java.util.Locale;

public class LocaleTest {

  public static void main(String[] args) {
    System.out.println("H bets orszgok: ");
    Locale[] nemzetek = Locale.getAvailableLocales();

    for (int i = 0; i < nemzetek.length; i++) {
      if (nemzetek[i].getISO3Country().startsWith("H"))
        System.out.print(nemzetek[i].getISO3Country()+"-"+
          nemzetek[i].getDisplayCountry()+", ");
    }
    System.out.print("\nAktulis orszg s nyelv: ");
    Locale loc = Locale.getDefault();
    System.out.println(loc.getCountry()+", "+loc.getLanguage());
  }
}
