/*
 * Mintaprogramok/21. fejezet
 * TreeSetLotto.java
 *
 * Angster Erzsbet: OO tervezs s programozs, Java II. ktet
 * 2002.09.01.
 */

import java.util.*;

public class TreeSetLotto {
  public static void main(String[] args) {
    // A nyerok halmaz sszelltsa (kis elemszm esetn):
    TreeSet nyerok = new TreeSet();                        //1
    nyerok.add(new Integer(5));
    nyerok.add(new Integer(13));
    nyerok.add(new Integer(33));
    nyerok.add(new Integer(34));
    nyerok.add(new Integer(35));

    // tipp sszelltsa az args tmbbl:
    TreeSet tipp = new TreeSet();                          //2
    try {
      for (int i=0; i<args.length; i++)
        tipp.add(new Integer(args[i]));
    }
    catch (NumberFormatException ex) {
      System.out.println("A paramter nem egsz szm!");
      return;
    }
    catch (Exception ex) {
      System.out.println(ex.getMessage());
      return;
    }

    System.out.println("Nyerszmok: "+nyerok);           //3
    System.out.println("Tipp: "+tipp);
    TreeSet talalat = new TreeSet(nyerok);
    talalat.retainAll(tipp);
    System.out.println("Tallatok szma: "+talalat.size());
    System.out.println("Tallatok: "+talalat);
  }
}
