/*
 * Mintaprogramok/3. fejezet
 * Projekt: QueueApp
 * QueueApp.java (Fosztly)
 *
 * A tbbi osztly a javalib knyvtr extra.util csomagjban van.
 *
 * Angster Erzsbet: OO tervezs s programozs, Java II. ktet
 * 2002.09.01.
 */

// QueueApp.java
import extra.Console;
import extra.util.*;

public class QueueApp {
  public void processQueue(ICleverQueue q) {
    char c;
    do {
      c = Character.toUpperCase(
        Console.readChar("E(rkezik)/S(orra kerl)/T(rl hrmat)/V(ge): "));
      switch (c){
        case 'E': q.put(Console.readLine("Nv: "));
                  System.out.println("Sor: "+q);
                  break;
        case 'S': if (!q.isEmpty())
                    System.out.println(q.get());
                  System.out.println("Sor: "+q);
                  break;
        case 'T': q.remove(3);
                  System.out.println("Sor: "+q);
                  break;
      }
    } while (c != 'V');
  }

  public static void main (String args[]) {
    new QueueApp().processQueue(new CleverQueue());
  } // main
} // QueueApp
