/*
 * Mintaprogramok/21. fejezet
 * HashtableAuto.java
 *
 * Angster Erzsbet: OO tervezs s programozs, Java II. ktet
 * 2004.08.01.
 */

import java.util.*;

public class HashtableAuto {
  public static void main(String[] args) {
    Hashtable autok = new Hashtable();

    autok.put("BIT-442","Piros Romeo");
    autok.put("SIT-999","Fehr Merci");
    autok.put("CAR-152","Zld Mazda");

    // A teljes trkp sszes bejegyzsnek kirsa:
    System.out.println(autok);

    // Kulcsok, rtkek kirsa:
    System.out.println("Kulcsok: "+autok.keySet());
    System.out.println("rtkek: "+autok.values());

    // Adott kulcs bejegyzs keresse:
    String rendszam = "CAR-152";
    if (autok.containsKey(rendszam))
      System.out.println(rendszam+" megvan, "+
          autok.get(rendszam));

    // Csere:
    autok.put(rendszam,"Fekete Trabant");

    // Kirs itertorral:
    Iterator iter = autok.keySet().iterator();
    int n = 0;
    while (iter.hasNext()) {
      Object key = iter.next();
      System.out.println(++n + ". " + autok.get(key));
    }
  }
}
