/*
 * Mintaprogramok/21. fejezet
 * LinkedListTest.java
 *
 * Angster Erzsbet: OO tervezs s programozs, Java II. ktet
 * 2002.09.01.
 */

import java.util.*;

public class LinkedListTest {
  public static void main(String[] args) {
    LinkedList lista = new LinkedList();
    lista.add("Gerg");
    lista.add("Anna");
    lista.add("Matyi");

    System.out.println("Listzs elre:");
    ListIterator iter = lista.listIterator();
    while (iter.hasNext())
      System.out.println(iter.next());

    System.out.println("\nListzs visszafel, kzben az "+
                       "A betsk trlse:");
    while (iter.hasPrevious()) {
      String str = (String)iter.previous();
      System.out.println(str);
      if (str.startsWith("A"))
        iter.remove();
    }

    System.out.println("\nLista elre: ");
    iter = lista.listIterator();
    while (iter.hasNext()) {
      System.out.println(iter.next());
    }

    System.out.println("\nUtols elem: "+
                       lista.get(lista.size()-1));
  } // main
}
