/*
 * Mintaprogramok/Feladatok
 * Projekt: Cimjegyzek
 * Csomag: db
 * Szemely.java
 *
 * Angster Erzsbet: OO tervezs s programozs, Java II. ktet
 * 2002.09.01.
 *
 * Egy szemly adatait trolja.
 */

package db;
import java.io.*;

public class Szemely {
  public String nev;       // A szemly neve
  public String irszam;    // irnytszm
  public String varos;     // vros
  public String cim;       // cm - utca, hzszm
  public String telefon;   // telefon

  // Az mezk elmentett hosszai:
  public final static int NEV_MERET = 20;
  public final static int IRSZAM_MERET = 4;
  public final static int VAROS_MERET = 20;
  public final static int CIM_MERET = 20;
  public final static int TELEFON_MERET = 15;

  public Szemely() {
    this("","","","","");
  }

  public Szemely(String nev, String irSzam, String varos,
                 String cim, String telefon) {
    this.nev = nev;
    this.irszam = irSzam;
    this.varos = varos;
    this.cim = cim;
    this.telefon = telefon;
  }
}
